struts-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From lukaszlen...@apache.org
Subject [struts] branch master updated: Fix 2.6 Showcase bean-validator Java 11 failures. The 2.6 Showcase application is throwing JAXB-classloading-related failures when deployed to a container running Java 11. The stacktrace indicates the issues relate to the bean-validator and Hibernate-Validator (but no issues with Java 8). Proposed fix: 1) Upgrade Showcase from 5.1.3.Final to 5.4.3.Final (most recent available). 2) Upgrade bean-validator from 5.4.1-Final to 5.4.3.Final (to match versions).
Date Thu, 14 Feb 2019 06:21:14 GMT
This is an automated email from the ASF dual-hosted git repository.

lukaszlenart pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/struts.git


The following commit(s) were added to refs/heads/master by this push:
     new a2ba5a0  Fix 2.6 Showcase bean-validator Java 11 failures. The 2.6 Showcase application
is throwing JAXB-classloading-related failures when deployed to a container running Java 11.
The stacktrace indicates the issues relate to the bean-validator and Hibernate-Validator (but
no issues with Java 8). Proposed fix: 1) Upgrade Showcase from 5.1.3.Final to 5.4.3.Final
(most recent available). 2) Upgrade bean-validator from 5.4.1-Final to 5.4.3.Final (to match
versions).
     new 3ee47f1  Merge pull request #335 from JCgH4164838Gh792C124B5/localS2_26x_Appfix2
a2ba5a0 is described below

commit a2ba5a0e62e6daec6db07ec4f9162debe4a7e8ac
Author: JCgH4164838Gh792C124B5 <43964333+JCgH4164838Gh792C124B5@users.noreply.github.com>
AuthorDate: Thu Feb 14 01:03:44 2019 -0500

    Fix 2.6 Showcase bean-validator Java 11 failures.
    The 2.6 Showcase application is throwing JAXB-classloading-related failures when deployed
to a container running Java 11.
    The stacktrace indicates the issues relate to the bean-validator and Hibernate-Validator
(but no issues with Java 8).
    Proposed fix:
    1) Upgrade Showcase from 5.1.3.Final to 5.4.3.Final (most recent available).
    2) Upgrade bean-validator from 5.4.1-Final to 5.4.3.Final (to match versions).
---
 apps/showcase/pom.xml           | 2 +-
 plugins/bean-validation/pom.xml | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/apps/showcase/pom.xml b/apps/showcase/pom.xml
index a3c8341..c0b9023 100644
--- a/apps/showcase/pom.xml
+++ b/apps/showcase/pom.xml
@@ -158,7 +158,7 @@
         <dependency>
             <groupId>org.hibernate</groupId>
             <artifactId>hibernate-validator</artifactId>
-            <version>5.1.3.Final</version>
+            <version>5.4.3.Final</version>
         </dependency>
 
         <!-- The Servlet API mocks in Spring Framework 4.x only supports Servlet 3.0 and
higher.
diff --git a/plugins/bean-validation/pom.xml b/plugins/bean-validation/pom.xml
index 04595cc..ede4c08 100644
--- a/plugins/bean-validation/pom.xml
+++ b/plugins/bean-validation/pom.xml
@@ -52,7 +52,7 @@
         <dependency>
             <groupId>org.hibernate</groupId>
             <artifactId>hibernate-validator</artifactId>
-            <version>5.4.1.Final</version>
+            <version>5.4.3.Final</version>
             <scope>test</scope>
         </dependency>
         <dependency>


Mime
View raw message